Sign Contract
curl --request POST \
--url https://{host}/Agent/Legal/SignContract \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyId": "<string>",
"legalId": "<string>",
"contractId": "<string>",
"role": "<string>",
"nonce": "<string>",
"keySignature": "<string>",
"requestSignature": "<string>"
}
'import requests
url = "https://{host}/Agent/Legal/SignContract"
payload = {
"keyId": "<string>",
"legalId": "<string>",
"contractId": "<string>",
"role": "<string>",
"nonce": "<string>",
"keySignature": "<string>",
"requestSignature": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
keyId: '<string>',
legalId: '<string>',
contractId: '<string>',
role: '<string>',
nonce: '<string>',
keySignature: '<string>',
requestSignature: '<string>'
})
};
fetch('https://{host}/Agent/Legal/SignContract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Contract": {}
}Legal and contracts
Sign Contract
Allows the client to sign a smart contract. Note: Neurons are federated.
POST
/
Agent
/
Legal
/
SignContract
Sign Contract
Overview
Allows the client to sign a smart contract. Note: Neurons are federated. You can sign contracts created on other neurons through this API on the neuron you have your account on. Federated means that the neurons interconnect to share authorized information, when requested, and permitted.Authentication
Requires a valid JWT bearer token.Notes
This endpoint uses the request schema notation described in Pattern matching.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Success
⌘I